#
# spec file for package unetbootin
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%define rev     608
Name:           unetbootin
Version:        0.0.%{rev}
Release:        1.1
Url:            http://unetbootin.sourceforge.net/
License:        GPL v2 or later
Group:          System/GUI/Other
Summary:        Universal Netboot Installer
# downloaded from http://unetbootin.sourceforge.net/unetbootin-source-clean-latest.tar.gz
Source:         %{name}-source-%{rev}.tar.bz2
Patch0:		unetbootin-opensuse.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++

%if 0%{?suse_version}
BuildRequires:	libqt4-devel >= 4.4.0
%endif
%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version} || 0%{?fedora_version}
BuildRequires:	qt-devel >= 4.4.0
%endif
Requires:       mtools p7zip udev util-linux syslinux

%description
UNetbootin allows for the installation of various Linux/BSD distributions
to a partition or USB drive, so it's no different from a standard install,
only it doesn't need a CD. It can create a dual-boot install,
or replace the existing OS entirely.

%prep
%setup -q -c -n %{name}
%patch0

%build
sed -i '/^RESOURCES/d' unetbootin.pro
%if 0%{?suse_version}
CMDSUFFIX=""
%else
CMDSUFFIX="-qt4"
%endif
lupdate${CMDSUFFIX} unetbootin.pro
lrelease${CMDSUFFIX} unetbootin.pro
qmake${CMDSUFFIX} "DEFINES += NOSTATIC" "RESOURCES -= unetbootin.qrc"
make %{?jobs:-j%jobs}

%install
install -D -m 0755 %{name} $RPM_BUILD_ROOT%{_sbindir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a unetbootin_*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.TXT
%{_sbindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Sat Oct  4 2014 cs@linux-administrator.com
- update to 0.0.608
* Sun Mar 17 2013 cs@linux-administrator.com
- update to 0.0.583
* Sun Oct 14 2012 cs@linux-administrator.com
- update to 0.0.581
* Sat May  5 2012 cs@linux-administrator.com
- update to 0.0.575
* Sun Jan 29 2012 cs@linux-administrator.com
- update to 0.0.568
